Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.

...

Related Calls and Announcements

...

Meeting Topics

  • Update: GitHub actions led by Kevin Griffin Wade Barnes
    • CD: Hyperledger Debian repo is available and being used
      • Package artifacts
      • Secrets managed
    • Indy-Plenum
      • CI for Indy Plenum - merged
      • CD for Indy Plenum - ready but not merged 
      • Ubuntu 20.04 Upgrade
    •  Indy-Node
      • CI
      • CD
      • Ubuntu 20.04 Upgrade
    • Indy-SDK
    • CI/CD for Indy-SDK 
    • Jenkins/GHAs to run in parallel for a bit, while the GHA are finalized.
    • CI
    • CD
    • Indy-Plenum CI is the furthest along. Thank you Robin Klemens!
      • Hyperledger Debian repository is in place and working.
      • CD process in 20.04 branch needs to be completed so that packages can be published.
      • Reducing pinned dependencies waiting on completion of CD.
        • Evernym believes we can have a single release packaged for both Ubuntu 16.04 and Ubuntu 20.04.
    •  Indy-Node
      • CI depends on Indy Plenum packages.
      • CD blocks work on Sovrin packages.
    • Sovrin Release - Wade Barnes
      • Working on CI/CD
      • LibSovToken upgrade to Ubuntu 20.04 is blocked by Plenum packages
    • indy-test-automation – had been working, but it is dependent on the Sovrin packages that are not made yet.
      • Need to research the publishing of the artifacts from GHA to the Sovrin repos
        • Before – indy and sovrin artifacts were in Sovrin repos
        • To Be Done – indy artifacts will be hosted on Hyperledger Artifactory; Sovrin on Sovrin repositories
      • Sovrin Network Upgrade process: 
        • Inputs: New CI/CD, OS Upgrade, Post Feb. 2020 functionality (e.g. Rich Schema), indy-crypto vs. ursa-crypto
        • Today: 16.04 with no post Feb 2020, Functionality, mix of indy-crypto/ursa-crypto
        • Release 1: Another 16.04 using the new CI/CD code but no code changes plus the Post-Feb. 2020 changes
          • Concern: Have the new GHAs been made ONLY for 20.04?  Not supposed to be, but TBD.
        • Release 1: Ubuntu 20.04 that runs with today's nodes.
          • Proposal: Call the new version 1.13.0 that is tested ONLY on Ubuntu 20.04, MUST be compatible with 1.12.4
          • One Steward at a time – 1) remove their 16.04 1.12.4 node, 2) create new 20.04 device, 3) install 20.04 node, 4) add their 1.13.0 node
          • Cannot affect consensus – we'll verify that as we go.
          • Short term request of Stewards – get ESM from Canonical
        • Release 3: Post Feb. 2020 changes
        • Breaking apart indy-test-automation and sovrin-test-automation
    • Canonical ESM support for Ubunut 16.04 is available for ensuring a supported network until the next release of Indy is published.

    Future Calls


    Next call:

    Future:

    • Changed Changes to indy-node as needed for did:indy
    • Status of Indy-SDK
      • Statement on the future of the Indy SDK: PR 2329
      • Plans for future of Indy CLI (move to Indy VDR?)
      • Indy SDK in test for Indy Node (move to Indy VDR?)
      • Status of GitHub Actions for the Indy-SDK
    • Indy bugs
      • Using GitHub tags "Good First Issue" and "Help Wanted" 
      • Node 1490: problems with large catch-up
      • Plenum 1506: view change message consensus calculation error
    • Hyperledger campaign to recruit additional developers.

    ...